INSQUE(3)

NAME
insque, remque - insert/remove element from a queue

SYNOPSIS
#include <search.h>
struct qelem {
struct qelem *q_forw;
struct qelem *q_back;
char q_data[];
};
void
insque(struct qelem *elem, struct qelem *pred);
void
remque(struct qelem *elem);

DESCRIPTION
These interfaces are available from the compatibility library, libcompat.

insque() and remque() manipulate queues built from doubly linked lists. Each element in the queue must begin with a "struct qelem".

DIAGNOSTICS
These functions are not atomic unless that machine architecture allows it.

HISTORY
These are derived from the insque and remque instructions on a VAX.